%global momorel 1
%global seamonkey_version 1.1.12
%global seamonkey_release 1m
%global date 2008-08-29-17
%global rel 0.2.00.8092.4
%global geckover 1.8.1.17
%global reldir 33021

Summary:     SeaMonkey language pack
Name:        seamonkey-language-pack
Version:     %{seamonkey_version}
Release:     %{momorel}m%{?dist}
License:     MPL and GPL and LGPL
URL:         http://sourceforge.jp/projects/rm-f/
Group:       Applications/Internet
Source0:     http://downloads.sourceforge.jp/rm-f/%{reldir}/%{date}-%{seamonkey_version}-seamonkey-jaospack-nl%{rel}.xpi
NoSource:    0
Source1:     lang-ja.txt
Buildroot:   %{_tmppath}/%{name}-%{version}-root
Prereq:      seamonkey >= %{seamonkey_version}-%{seamonkey_release}
BuildPreReq: unzip
BuildArch:   noarch

%description
mozilla language pack

%package japanese
Summary:     SeaMonkey japanese language pack (jlp)
Group:       Applications/Internet
Requires:    seamonkey = %{seamonkey_version}
Provides:    mozilla-language-pack-japanese = %{geckover}-%{release}
Obsoletes:   mozilla-language-pack-japanese <= 1.7.13

%description japanese
SeaMonkey japanese language pack (jlp)

%prep

%build

%install
%{__rm} -rf --preserve-root %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/seamonkey-%{seamonkey_version}
cd %{buildroot}%{_libdir}/seamonkey-%{seamonkey_version}

#JLP
unzip -q -o %{SOURCE0}
%{__rm} -f install.js
%{__rm} -f install.properties
%{__mkdir} chrome/lang
%{__cp} %{SOURCE1} chrome/lang/lang-ja.txt

# remove unwanting files
%{__rm} -f %{buildroot}%{_libdir}/seamonkey-%{seamonkey_version}/chrome/ja-mac.jar
%{__rm} -f %{buildroot}%{_libdir}/seamonkey-%{seamonkey_version}/chrome/ja-win.jar

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post japanese
if [ -f %{_libdir}/seamonkey-%{seamonkey_version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/seamonkey-%{seamonkey_version}/mozilla-rebuild-databases.pl
fi
%__perl -p -i -e 's|^locale,install,select,en-US$|locale,install,select,ja-JP|' %{_libdir}/seamonkey-%{seamonkey_version}/chrome/installed-chrome.txt

%postun japanese
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/seamonkey-%{seamonkey_version}/mozilla-rebuild-databases.pl ]; then
      %{_libdir}/seamonkey-%{seamonkey_version}/mozilla-rebuild-databases.pl
  fi
fi

%files japanese
%defattr(-,root,root)
%{_libdir}/seamonkey-%{seamonkey_version}/chrome/lang/lang-ja.txt
%{_libdir}/seamonkey-%{seamonkey_version}/chrome/JP.jar
%{_libdir}/seamonkey-%{seamonkey_version}/chrome/ja-JP.jar
%{_libdir}/seamonkey-%{seamonkey_version}/chrome/ja-unix.jar

%changelog
* Wed Sep 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.12-1m)
- update for seamonkey-1.1.12

* Wed Jul 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.11-1m)
- update for seamonkey-1.1.11

* Wed Jul  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.10-1m)
- update for seamonkey-1.1.10

* Wed Mar 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.9-1m)
- update for seamonkey-1.1.9

* Sun Feb 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.8-1m)
- update for seamonkey-1.1.8

* Sat Dec  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.7-1m)
- update for seamonkey-1.1.7

* Tue Nov  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.6-1m)
- update for seamonkey-1.1.6

* Sat Oct 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.5-1m)
- update for seamonkey-1.1.5

* Sat Aug  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.4-1m)
- update for seamonkey-1.1.4

* Fri Jul 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.3-1m)
- update for seamonkey-1.1.3

* Thu May 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-1m)
- update for seamonkey-1.1.2

* Sat Feb  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- update for seamonkey-1.1.1

* Fri Jan 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- update for seamonkey-1.1

* Wed Jan  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-4m)
- update lang-ja.txt

* Mon Jan  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-3m)
- use %%{geckover} for automatic upgrade from mozilla 

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-2m)
- add Provides and Obsoletes

* Wed Dec 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-1m)
- update for seamonkey-1.0.7, good-bye mozilla

* Sat Apr 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.13-1m)
- update for mozilla-1.7.13
- change install dir lib -> %%{_libdir}

* Fri Sep 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.12-1m)
- update for mozilla-1.7.12

* Sun Jul 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-1m)
- update for mozilla-1.7.11

* Sun Jul 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.10-1m)
- update for mozilla-1.7.10

* Fri May 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.8-1m)
- update for mozilla-1.7.8

* Mon Apr 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.7-1m)
- update for mozilla-1.7.7

* Fri Mar 25 2005 Toru Hoshina <t@momonga-linux.org>
- (1.7.6-2m)
- language pack IS NOT plugin... orz

* Tue Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (1.7.6-1m)
- rebuild against mozilla 1.7.6.
- install to {_libdir}/mozilla/plugins.

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.5-1m)
- update for mozilla-1.7.5

* Sat Nov 13 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.7.3-2m)
- up to mozilla-1.7.3-langjajp.xpi

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- rebuild against mozilla-1.7.3

* Sun Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  revised source url

* Mon Aug  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-2m)
- update to  moz1.7-langjajp-tm0.2.xpi

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- rebuild against mozilla-1.7.2

* Thu Jul 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- version up.

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- rebuild against mozilla-1.7-2m

* Mon Jun 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update for mozilla 1.7

* Tue Apr 27 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6-4m)
- update to 1.6tm0.2.1 for mozilla-1.6

* Fri Apr  2 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-3m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- update to 1.6tm0.1 for mozilla-1.6

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-2m)
- update Source0
- change Source0 URI
- s/Copyright:/License:/


* Thu Oct 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-1m)
- update to 1.5 tm0.1

* Sun Aug 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-3m)
- update to tm0.4
- use %%NoSource tag.

* Thu Jul 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4-2m)
  update to tm0.2

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-1m)
- update to 1.4 for mozilla-1.4.

* Wed May 21 2003 zunda <zunda at freeshell.org>
- (1.3.1-3m)
- Source update: 1.3.1-0.2.1

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.1-2m)
- fixed Version:

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.1-1m)
- for mozilla 1.3.1

* Fri May  9 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3-4m)
- change Source to 1.3.1-tm0.2

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- change Source0 URI
- add BuildPrereq: unzip
- delete BuildPrereq: zip

* Wed Mar 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-2m)
- release version.

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-1m)
- initial


